package com.rv.travel.api;

import com.base.utils.tools.android.LogUtil;
import com.lzy.okgo.callback.StringCallback;
import com.lzy.okgo.model.Response;
import com.yuyife.okgo.OkGoUtil;

import java.util.HashMap;
import java.util.Map;

public class ApiUtil {

    public static void getCompanyData(){
        Map<String,String> map = new HashMap<>();
        map.put("id","2");
        OkGoUtil.postJson(TravelApi.QUERY_COMPANY_DETAIL, map, new StringCallback() {
            @Override
            public void onSuccess(Response<String> response) {

                LogUtil.e(ApiUtil.class,"onSuccess getCompanyData:"+response.body());
            }

            @Override
            public void onError(Response<String> response) {
                super.onError(response);
                LogUtil.e(ApiUtil.class,"onError getCompanyData:"+response.body());
                LogUtil.e(ApiUtil.class,"onError getCompanyData:"+response.message());

            }
        });
    }
}
